﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using ScheduleCore.Models;

namespace ScheduleCore.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.appointments = GetScheduleData();
            return View();
        }
        public List<AppointmentData> GetScheduleData()
        {
            List<AppointmentData> appData = new List<AppointmentData>();
            appData.Add(new AppointmentData
            {
                Subject = "Paris",
                StartTime = new DateTime(2020, 1, 13, 10, 0, 0),
                EndTime = new DateTime(2020, 1, 13, 13, 0, 0),
                EventStartTime = new DateTime(2020, 1, 13, 11, 0, 0),
                EventEndTime = new DateTime(2020, 1, 13, 12, 0, 0)
            });
            return appData;
        }
        public class AppointmentData
        {
            public string Subject { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public DateTime EventStartTime { get; set; }
            public DateTime EventEndTime { get; set; }
        }
        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
